summaryrefslogtreecommitdiff
path: root/kernel/xpp/utils/astribank_hook
diff options
context:
space:
mode:
Diffstat (limited to 'kernel/xpp/utils/astribank_hook')
-rwxr-xr-xkernel/xpp/utils/astribank_hook53
1 files changed, 53 insertions, 0 deletions
diff --git a/kernel/xpp/utils/astribank_hook b/kernel/xpp/utils/astribank_hook
new file mode 100755
index 0000000..351cd93
--- /dev/null
+++ b/kernel/xpp/utils/astribank_hook
@@ -0,0 +1,53 @@
+#! /bin/sh
+
+# This is an example of an Astribank device hook. The xpp.rules file
+# calls /usr/share/zaptel/astribank_hook after a new Astribank is ready
+# and after and old Astribank device has been destroyed.
+#
+# This example script sets the sync source, and thus makes the call to
+# xpp_sync in the init.d script unnecessary.
+
+set -e
+
+xpp_sync="/usr/sbin/xpp_sync"
+
+me=`basename $0`
+INIT_DIR=`dirname $0`
+XPP_BASE=/proc/xpp
+export XPP_BASE
+LOGGER="logger -s -t $me"
+XPP_SYNC='auto'
+
+ZAPTEL_BOOT_DEBIAN=${ZAPTEL_BOOT_DEBIAN:-/etc/default/zaptel}
+ZAPTEL_BOOT_FEDORA=${ZAPTEL_BOOT_FEDORA:-/etc/sysconfig/zaptel}
+
+# read default configuration from /etc/default/zaptel
+if [ -r $ZAPTEL_BOOT_DEBIAN ]; then . $ZAPTEL_BOOT_DEBIAN; fi
+if [ -r $ZAPTEL_BOOT_FEDORA ]; then . $ZAPTEL_BOOT_FEDORA; fi
+
+if [ "$ASTRIBANK_HOOK_DISABLED" != '' ]; then
+ $LOGGER -p kern.info "Exiting... ASTRIBANK_HOOK_DISABLED"
+ exit 0
+fi
+
+# Always redirect stderr somewhere, otherwise the shell script will die
+# when it tries to do I/O related stuff on closed file descriptor.
+# Our default is to throw it down the bit-bucket.
+#exec 2> /dev/console
+## If you wish to trace this script:
+#exec 2> "/tmp/astribank_hook_$XBUS_NAME"
+
+$LOGGER -p kern.info "$ACTION: $*. Setting sync to $XPP_SYNC."
+
+case "$ACTION" in
+add)
+ "$xpp_sync" $XPP_SYNC
+ ;;
+remove)
+ "$xpp_sync" $XPP_SYNC
+ ;;
+*)
+ ;;
+esac
+
+"$xpp_sync" | $LOGGER -p kern.info